<?php
#COMMON 1001-1099
define('_AM_XDBMIGRATE_E1001','');
define('_AM_XDBMIGRATE_E1002','');
define('_AM_XDBMIGRATE_E1003','Table %s structude duplicate fail.');
define('_AM_XDBMIGRATE_E1004',"Table %s data duplicate fail.");
define('_AM_XDBMIGRATE_E1005','%s');                                 #connecterror

#BOOK 1101-1199
define('_AM_XDBMIGRATE_E1101',"Data doesn't get from xnpbook_item_detail table.(item_id=%s)");
define('_AM_XDBMIGRATE_E1102',"Table or colomun name don't find to coresspond with xml=publisher_name on xoonips_item_field_group.");
#define('_AM_XDBMIGRATE_E1103',"Publisher does not inclede name.");
define('_AM_XDBMIGRATE_E1104',"Table or colomun name don't find to coresspond with xml=editor on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1105','To insert editor fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1106','To insert publisher fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1107',"Table or colomun name don't find to coresspond with xml=isbn on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1108','To insert isbn fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1109',"Table or colomun name don't find to coresspond with xml=url on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1110','To insert url or hits fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1111',"Table or colomun name don't find to coresspond with xml=attachment_dl_limit on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1112','To insert attachment_dl_limit fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1113',"Table or colomun name don't find to coresspond with xml=attachment_dl_notify on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1114','To insert attachment_dl_notify fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1115',"Table or colomun name don't find to coresspond with xml=name on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1116','To insert author fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1117','To get author data fail or .(item_id=%s)');
define('_AM_XDBMIGRATE_E1118',"Table or colomun name don't find to coresspond with xml=publication_year on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1119','To insert publication_year fail.(item_id=%s)');

#MODEL 1201-1299
define('_AM_XDBMIGRATE_E1201',"Data doesn't get from xnpmodel_creator table.(item_id=%s)");
define('_AM_XDBMIGRATE_E1202',"Data doesn't get from xnpmodel_item_detail table.(item_id=%s)");
define('_AM_XDBMIGRATE_E1203',"Table or colomun name don't find to coresspond with xml=model_type on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1204','To insert model_type fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1205',"Table or colomun name don't find to coresspond with xml=readme on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1206','To insert readme fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1207',"Table or colomun name don't find to coresspond with xml=rights on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1208','To insert rights fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1209',"Table or colomun name don't find to coresspond with xml=attachment_dl_limit on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1210','To insert attachment_dl_limit fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1211',"Table or colomun name don't find to coresspond with xml=attachment_dl_notify on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1212','To insert attachment_dl_notify fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1213',"Table or colomun name don't find to coresspond with xml=name on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1214','To insert creator fail.(item_id=%s)');

#TOOL 1301-1399
define('_AM_XDBMIGRATE_E1301',"Data doesn't get from xnptool_item_detail table.(item_id=%s)");
define('_AM_XDBMIGRATE_E1302',"Data doesn't get from xnptool_developer table.(item_id=%s)");
define('_AM_XDBMIGRATE_E1303',"Table or colomun name don't find to coresspond with xml=tool_type on xoonips_item_field_detail.");
define('_AM_XDBMIGRATE_E1304','To insert file_type fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1305',"Table or colomun name don't find to coresspond with xml=readme on xoonips_item_field_detail.");
define('_AM_XDBMIGRATE_E1306','To insert readme fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1307',"Table or colomun name don't find to coresspond with xml=rights on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1308','To insert rights fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1309',"Table or colomun name don't find to coresspond with xml=attachment_dl_limit on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1310','To insert attachment_dl_limit fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1311',"Table or colomun name don't find to coresspond with xml=attachment_dl_notify on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1312','To insert attachment_dl_notify fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1313',"Table or colomun name don't find to coresspond with xml=name on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1314','To insert developer fail.(item_id=%s)');

#URL 1401-1499
define('_AM_XDBMIGRATE_E1401',"Data doesn't get from xnpurl_item_detail table.(item_id=%s)");
define('_AM_XDBMIGRATE_E1402',"Table or colomun name don't find to coresspond with xml=url on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1403','To insert url fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1404',"Table or colomun name don't find to coresspond with xml=hits on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1405','To insert hits fail.(item_id=%s)');

#BINDER 1501-1599
define('_AM_XDBMIGRATE_E1501','To insert xoonips_item_related_to fail.(item_id=%s)');

#STIMULUS 1601-1699
define('_AM_XDBMIGRATE_E1601',"Data doesn't get from xnpstimulus_item_detail table.(item_id=%s)");
define('_AM_XDBMIGRATE_E1602',"Data doesn't get from xnpstimulus_developer table.(item_id=%s)");
define('_AM_XDBMIGRATE_E1603',"Table or colomun name don't find to coresspond with xml=stimulus on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1604','To insert stimulus_type fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1605',"Table or colomun name don't find to coresspond with xml=readme on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1606','To insert readme fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1607',"Table or colomun name don't find to coresspond with xml=rights on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1608','To insert rights fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1609',"Table or colomun name don't find to coresspond with xml=attachment_dl_limit on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1610','To insert attachment_dl_limit fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1611',"Table or colomun name don't find to coresspond with xml=attachment_dl_notify on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1612','To insert attachment_dl_notify fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1613',"Table or colomun name don't find to coresspond with xml=developers on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1614','To insert developers fail.(item_id=%s)');

#CONFERENCE 1701-1799
define('_AM_XDBMIGRATE_E1701',"Data doesn't get from xnpconference_item_detail table.(item_id=%s)");
define('_AM_XDBMIGRATE_E1702',"Table or colomun name don't find to coresspond with xml=presentation_type on xoonips_item_field_group.");
#define('_AM_XDBMIGRATE_E1703','To insert presentation_type fail.');
define('_AM_XDBMIGRATE_E1704',"Table or colomun name don't find to coresspond with xml=title on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1705','To insert title fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1706',"Table or colomun name don't find to coresspond with xml=conference_place on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1707','To insert place fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1708',"Table or colomun name don't find to coresspond with xml=abstract on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1709','To insert abstract fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1710',"Table or colomun name don't find to coresspond with xml=attachment_dl_limit on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1711','To insert attachment_dl_limit fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1712',"Table or colomun name don't find to coresspond with xml=attachment_dl_notify on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1713','To insert attachment_dl_notify fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1714',"Table or colomun name don't find to coresspond with xml=name on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1715','To insert author fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1716','To insert presentation_type fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1717',"Table or colomun name don't find to coresspond with xml=ctitle on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1718','To insert conference_title fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1719',"Table or colomun name don't find to coresspond with xml=date_from on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1720','To insert date_from fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1721',"Table or colomun name don't find to coresspond with xml=date_to on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1722','To insert date_to fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1723',"Table or colomun name don't find to coresspond with xml=conference_presentation_type on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1724','To insert presentation_type fail.(item_id=%s)');

#MEMO   1801-1899
define('_AM_XDBMIGRATE_E1801',"Data doesn't get from xnpmemo_item_detail table.(item_id=%s)");
define('_AM_XDBMIGRATE_E1802',"Table or colomun name don't find to coresspond with xml=item_link on xoonips_item_field_detail.");
define('_AM_XDBMIGRATE_E1803','To insert item_link fail.(item_id=%s)');

#PRESENTATION 1901-1999
define('_AM_XDBMIGRATE_E1901',"Data doesn't get from xnppresentation_item_detail table.(item_id=%s)");
define('_AM_XDBMIGRATE_E1902',"Data doesn't get from xnppresentation_creator table.(item_id=%s)");
define('_AM_XDBMIGRATE_E1903',"Table or colomun name don't find to coresspond with xml=presentation_type on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1904','To insert presentation_type fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1905',"Table or colomun name don't find to coresspond with xml=readme on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1906','To insert readme fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1907',"Table or colomun name don't find to coresspond with xml=rights on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1908','To insert rights fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1909',"Table or colomun name don't find to coresspond with xml=attachment_dl_limit on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1910','To insert attachment_dl_limit fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1911',"Table or colomun name don't find to coresspond with xml=attachment_dl_notify on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1912','To insert attachment_dl_notify fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E1913',"Table or colomun name don't find to coresspond with xml=creator on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E1914','To insert creator fail.(item_id=%s)');

#FILE 2001-2099
define('_AM_XDBMIGRATE_E2001',"To migrate xoonips_item_file table fail.(item_id=%s)");

#PAPER 2101-2199
define('_AM_XDBMIGRATE_E2101',"Data doesn't get from xnppaper_item_detail table.(item_id=%s)");
define('_AM_XDBMIGRATE_E2102',"Table or colomun name don't find to coresspond with xml=jtitle_name on xoonips_item_field_group.");
#define('_AM_XDBMIGRATE_E2103','To insert journal fail.');
#define('_AM_XDBMIGRATE_E2104','To insert volume fail.');
#define('_AM_XDBMIGRATE_E2105','To insert number fail.');
define('_AM_XDBMIGRATE_E2106',"Table or colomun name don't find to coresspond with xml=abstract on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2107','To insert abstract fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E2108','To get author data fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E2109',"Table or colomun name don't find to coresspond with xml=authors on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2110','To insert author fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E2111','To insert author_id fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E2112',"Table or colomun name don't find to coresspond with xml=paper_volume on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2113','To insert volume fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E2114',"Table or colomun name don't find to coresspond with xml=paper_number on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2115','To insert number fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E2116',"Table or colomun name don't find to coresspond with xml=paper_page on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2117','To insert page fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E2118',"Table or colomun name don't find to coresspond with xml=publication_year on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2119','To insert publication_year fail.(item_id=%s)');

#DATA 2201_2299
define('_AM_XDBMIGRATE_E2201',"Data doesn't get from xnpdata_item_detail table.(item_id=%s)");
define('_AM_XDBMIGRATE_E2202',"Data doesn't get from xnpdata_experimenter table.(item_id=%s)");
define('_AM_XDBMIGRATE_E2203',"Table or colomun name don't find to coresspond with xml=data_type on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2204','To insert data_type fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E2205',"Table or colomun name don't find to coresspond with xml=readme on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2206','To insert readme fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E2207',"Table or colomun name don't find to coresspond with xml=rights on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2208','To insert rights fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E2209',"Table or colomun name don't find to coresspond with xml=attachment_dl_limit on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2210','To insert attachment_dl_limit fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E2211',"Table or colomun name don't find to coresspond with xml=attachment_dl_notify on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2212','To insert attachment_dl_notify fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E2213',"Table or colomun name don't find to coresspond with xml=experimenter on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2214','To insert experimenter fail.(item_id=%s)');

#SIMULATOR 2301-2399
define('_AM_XDBMIGRATE_E2301',"Data doesn't get from xnpsimulator_item_detail table.(item_id=%s)");
define('_AM_XDBMIGRATE_E2302',"Data doesn't get from xnpsimulator_developer table.(item_id=%s)");
define('_AM_XDBMIGRATE_E2303',"Table or colomun name don't find to coresspond with xml=data_type on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2304','To insert data_type fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E2305',"Table or colomun name don't find to coresspond with xml=readme on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2306','To insert readme fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E2307',"Table or colomun name don't find to coresspond with xml=rights on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2308','To insert rights fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E2309',"Table or colomun name don't find to coresspond with xml=attachment_dl_limit on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2310','To insert attachment_dl_limit fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E2311',"Table or colomun name don't find to coresspond with xml=attachment_dl_notify on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2312','To insert attachment_dl_notify fail.(item_id=%s)');
define('_AM_XDBMIGRATE_E2313',"Table or colomun name don't find to coresspond with xml=developer on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2314','To insert developer fail.(item_id=%s)');

#COMMON ITEM TYPE 2401-2499
define('_AM_XDBMIGRATE_E2401',"Table or colomun name don't find to coresspond with xml=date on xoonips_item_field_group.");
define('_AM_XDBMIGRATE_E2402','To insert date fail.');

#USER RELATED TABLES 2501-2599
define('_AM_XDBMIGRATE_E2501',"Data doesn't get from xoonips_users table.");
define('_AM_XDBMIGRATE_E2502','groups_users_link table migrate fail.');
define('_AM_XDBMIGRATE_E2503',"Data doesn't get from users_field_group table.");
define('_AM_XDBMIGRATE_E2504','To update %s table fail.');
define('_AM_XDBMIGRATE_E2505','To insert %s table fail.');
define('_AM_XDBMIGRATE_E2506','xoonips_groups_users_link table migrate fail.');
define('_AM_XDBMIGRATE_E2507','Fail xoonips_groups_users_link count.');

#INDEX 2601-2699
define('_AM_XDBMIGRATE_E2601','To create xoonips_index fail.');
define('_AM_XDBMIGRATE_E2602','To create xoonips_index_item_link fail.');

#OAI-PMH 2701-2799
define('_AM_XDBMIGRATE_E2701','To migrate xoonips_config fail.');
define('_AM_XDBMIGRATE_E2702','To migrate xoonips_oaipmh_item_status.');

#File convert error message. 2801-2899
define('_AM_XDBMIGRATE_E2801','To get upload directory fail.');
define('_AM_XDBMIGRATE_E2802','To create file upload directory fail.(%s');
define('_AM_XDBMIGRATE_E2803','To change owner file upload directory fail.(%s)');
define('_AM_XDBMIGRATE_E2804','To give group file upload directory group fail.(%s)');
define('_AM_XDBMIGRATE_E2805','XooNIps3.46a files don\'t copy Next Generation XooNIps.(%s)');
define('_AM_XDBMIGRATE_E2806','Thmbnails don\'t copy.(%s)');

#Eventlog 2901-2999
define('_AM_XDBMIGRATE_E2901','To migrate xoops_event_log fail.');
define('_AM_XDBMIGRATE_E2902','To update groupid fail.');

#Notification 3001-3099
define('_AM_XDBMIGRATE_E3001','Failed to retrieve data from XooNIps3.46a xoopsnotifications.');
define('_AM_XDBMIGRATE_E3002','Failed to migrate the notification.');
define('_AM_XDBMIGRATE_E3003','Failed to MID from modules.');

#Article 3201-3299
define('_AM_XDBMIGRATE_E3201','It failed to get xnparticle_item_detail table.(item_id=%s)');
define('_AM_XDBMIGRATE_E3202','It failed to get xnparticle_item_detail_child_sub_title table.(item_id=%s)');
define('_AM_XDBMIGRATE_E3203','It failed to get table info related xml sub_title.(item_id=%s)');
define('_AM_XDBMIGRATE_E3204','It failed to insert subtitle into item_extend table.(%s)');
define('_AM_XDBMIGRATE_E3205','It failed to get xnparticle_item_detail_child_author table.(item_id=%s)');
define('_AM_XDBMIGRATE_E3206','It failed to get table infomation related xml author.(item_id=%s)');
define('_AM_XDBMIGRATE_E3207','It failed to insert author into item_extend table.(%s)');
define('_AM_XDBMIGRATE_E3208','It failed to get table infomation related xml edition.(item_id=%s)');
define('_AM_XDBMIGRATE_E3209','It failed to insert edition into item_extend table.(%s)');
define('_AM_XDBMIGRATE_E3210','It failed to get table infomation related xml publish_place.(item_id=%s)');
define('_AM_XDBMIGRATE_E3211','It failed to insert publish_place into item_extend table.(%s)');
define('_AM_XDBMIGRATE_E3212','It failed to get table infomation related xml article_date.(item_id=%s)');
define('_AM_XDBMIGRATE_E3213','It failed to insert article_date into item_extend table.(%s)');
define('_AM_XDBMIGRATE_E3214','It failed to get xnparticle_item_detail_child_physical_descriptions table.(item_id=%s)');
define('_AM_XDBMIGRATE_E3215','It failed to get table infomation related xml physical_descriptions.(item_id=%s)');
define('_AM_XDBMIGRATE_E3216','It failed to get table infomation related xml publisher.(item_id=%s)');
define('_AM_XDBMIGRATE_E3217','It failed to insert publisher into item_extend table.(%s)');
define('_AM_XDBMIGRATE_E3218','It failed to get table infomation related xml jtitle.(item_id=%s)');
define('_AM_XDBMIGRATE_E3219','It failed to insert jtitle into item_extend table.(%s)');
define('_AM_XDBMIGRATE_E3220','It failed to insert abstract into item_extend table.(%s)');
define('_AM_XDBMIGRATE_E3221','It failed to insert table_of_contents into item_extend table.(%s)');
define('_AM_XDBMIGRATE_E3222','It failed to insert keyword into item_extend table.(item_id=%s)');
define('_AM_XDBMIGRATE_E3223','It failed to get xnparticle_item_detail_child_ndc_classifications table.(item_id=%s)');
define('_AM_XDBMIGRATE_E3224','It failed to get table infomation related xml ndc_classifications.(item_id=%s)');
define('_AM_XDBMIGRATE_E3225','It failed to insert ndc_classifications into item_extend table.(%s)');
define('_AM_XDBMIGRATE_E3226','It failed to insert type_of_resource into item_extend table.(%s)');
define('_AM_XDBMIGRATE_E3227','It failed to get table infomation related xml type_of_resource.(item_id=%s)');
define('_AM_XDBMIGRATE_E3228','It failed to get table infomation related xml genre.(item_id=%s)');
define('_AM_XDBMIGRATE_E3229','It failed to insert genre into item_extend table.(%s)');
define('_AM_XDBMIGRATE_E3230','It failed to get table infomation related xml access_condition.(item_id=%s)');
define('_AM_XDBMIGRATE_E3231','It failed to insert access_condition into item_extend table.(%s)');
define('_AM_XDBMIGRATE_E3232','It failed to get xnparticle_item_detail_child_id_issns table.(item_id=%s)');
define('_AM_XDBMIGRATE_E3233','It failed to get xnparticle_item_detail_child_id_isbn table.(item_id=%s)');
define('_AM_XDBMIGRATE_E3234','It failed to get xnparticle_item_detail_child_id_dois table.(item_id=%s)');
define('_AM_XDBMIGRATE_E3235','It failed to get xnparticle_item_detail_child_id_uri table.(item_id=%s)');
define('_AM_XDBMIGRATE_E3236','It failed to get xnparticle_item_detail_child_id_local table.(item_id=%s)');
define('_AM_XDBMIGRATE_E3237','It failed to get table infomation related xml id_locals.(item_id=%s)');
define('_AM_XDBMIGRATE_E3238','It failed to insert id_locals into item_extend table.(%s)');
define('_AM_XDBMIGRATE_E3239','It failed to get xnparticle_item_detail_child_uris table.(item_id=%s)');
define('_AM_XDBMIGRATE_E3240','It failed to get table info related xml uris.(item_id=%s)');
define('_AM_XDBMIGRATE_E3241','It failed to insert urisinto item_extend table.(%s)');
define('_AM_XDBMIGRATE_E3242','It failed to get table infomation related xml download_limitation.(item_id=%s)');
define('_AM_XDBMIGRATE_E3243','It failed to insert download_limitation into item_extend table.(%s)');
define('_AM_XDBMIGRATE_E3244','It failed to get table info related xml download_notification.(item_id=%s)');
define('_AM_XDBMIGRATE_E3245','It failed to insert download_notification into item_extend table.(%s)');
define('_AM_XDBMIGRATE_E3246','It failed to get xnparticle_item_detail_child_langs table.(item_id=%s)');
define('_AM_XDBMIGRATE_E3247','It failed to get table infomation related xml langs.(item_id=%s)');
define('_AM_XDBMIGRATE_E3248','It failed to insert langs.(item_id=%s)');
#Group
define('_AM_XDBMIGRATE_E3101','Group table alreacy migrated.');

#MIGRATION MESSAGE
define('_AM_XDBMIGRATE_START_DUPLICATE','Please duplicate tables.You run below command.<br>duplicate.php [mainfile.php full path]');
define('_AM_XDBMIGRATE_UNIST_INST_XOONIPS','Uninstall XooNIps3.46a and install next generation XooNIps.');
define('_AM_XDBMIGRATE_START_MIGRATE','Please migrate tables.You run below command.<br># migrate.php [mainfile.php full path]');

define('_AM_XDBMIGRATE_MIGRATE_GROUP','USER/GROUP migrate.');
define('_AM_XDBMIGRATE_MIGRATE_ITEM','ITEM migrate.');
define('_AM_XDBMIGRATE_MIGRATE_SEARCH_TEXT','Search text migrate.');
define('_AM_XDBMIGRATE_MIGRATE_INDEX','Index migrate.');
define('_AM_XDBMIGRATE_MIGRATE_OAI_PMH','OAI-PMH migrate.');
define('_AM_XDBMIGRATE_START_COMPLITE','Complete all data migrateion.');
define('_AM_XDBMIGRATE_MIGRATE_EVENT_LOG','Event log migrate.');
define('_AM_XDBMIGRATE_MIGRATE_NOTIFICATION','Event notify configration migrate.');